Functions | Variables

# progress.cpp File Reference

Functions for modal progress windows. More...

`#include "stdafx.h"`
`#include "thread/thread.h"`

Go to the source code of this file.

## Functions
void | SetModalProgress (bool state)
| Set the modal progress state.
bool | IsFirstModalProgressLoop ()
| Check whether this is the first modal progress loop.
## Variables
bool | _in_modal_progress = false
| Are we in a modal progress or not?
bool | _first_in_modal_loop = false
ThreadMutex * | _modal_progress_work_mutex = ThreadMutex::New()
| Rights for the performing work.
ThreadMutex * | _modal_progress_paint_mutex = ThreadMutex::New()
| Rights for the painting.

## Detailed Description

Functions for modal progress windows.

Definition in file progress.cpp.

## Function Documentation

bool IsFirstModalProgressLoop | ( |  | ) |

Check whether this is the first modal progress loop.

Note:
  Set by SetModalProgress, unset by calling this method.

Returns:
  True if this is the first loop.

Definition at line 39 of file progress.cpp.

Referenced by DrawDirtyBlocks().

void SetModalProgress | ( | bool | state | ) |

Set the modal progress state.

Note:
  Makes IsFirstModalProgressLoop return true for the next call.

Parameters:

  | state | The new state; are we modal or not?

Definition at line 28 of file progress.cpp.

References _in_modal_progress.

Referenced by CleanupGeneration(), DoScanNewGRFFiles(), GenerateWorld(), and ScanNewGRFFiles().

## Variable Documentation

ThreadMutex* _modal_progress_paint_mutex = ThreadMutex::New()

Rights for the painting.

Definition at line 21 of file progress.cpp.

Referenced by GRFFileScanner::AddFile(), DoScanNewGRFFiles(), DrawDirtyBlocks(), ScanNewGRFFiles(), and WaitTillGeneratedWorld().

ThreadMutex* _modal_progress_work_mutex = ThreadMutex::New()

Rights for the performing work.

Definition at line 19 of file progress.cpp.

Referenced by _GenerateWorld(), GRFFileScanner::AddFile(), DoScanNewGRFFiles(), DrawDirtyBlocks(), GenerateWorld(), ScanNewGRFFiles(), and WaitTillGeneratedWorld().